/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 */
package blanco.sample.logmessage;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 * ログメッセージのサンプル。このクラスは単にサンプルです。実際の動作には利用されません。
 */
public class Sample2LogMessage {
    /**
     * ログメッセージをプロパティファイル対応させるための内部的に利用するリソースバンドルクラス。
     */
    protected final Sample2LogMessageResourceBundle fBundle = new Sample2LogMessageResourceBundle();

    /**
     * ログメッセージ定義ID[Sample2]、レベル[FATAL]、キー[MESSAGE001]の文字列をロギングします。
     *
     * No.1:
     * 文字列[メッセージのサンプル。その１。]
     */
    public void logMessage001() {
        System.out.println("FATAL: " + "[MESSAGE001] fatal: " + fBundle.getMessage001());
        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, "[MESSAGE001] fatal: " + fBundle.getMessage001());
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[FATAL]、キー[MESSAGE001]の文字列をロギングします。
     *
     * No.1:
     * 文字列[メッセージのサンプル。その１。]
     *
     * @param argThrown 例外。
     */
    public void logMessage001(final Throwable argThrown) {
        System.out.println("FATAL: " + "[MESSAGE001] fatal: " + fBundle.getMessage001() + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, "[MESSAGE001] fatal: " + fBundle.getMessage001(), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[ERROR]、キー[MESSAGE002]の文字列をロギングします。
     *
     * No.2:
     * 文字列[メッセージ置換文字[{0}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     */
    public void logMessage002(final String arg0) {
        System.out.println("ERROR: " + "[MESSAGE002] " + fBundle.getMessage002(arg0));
        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, "[MESSAGE002] " + fBundle.getMessage002(arg0));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[ERROR]、キー[MESSAGE002]の文字列をロギングします。
     *
     * No.2:
     * 文字列[メッセージ置換文字[{0}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param argThrown 例外。
     */
    public void logMessage002(final String arg0, final Throwable argThrown) {
        System.out.println("ERROR: " + "[MESSAGE002] " + fBundle.getMessage002(arg0) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.SEVERE, "[MESSAGE002] " + fBundle.getMessage002(arg0), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[WARN]、キー[MESSAGE003]の文字列をロギングします。
     *
     * No.3:
     * 文字列[メッセージ置換文字[{0}]に加え、もうひとつ[{1}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     */
    public void logMessage003(final String arg0, final String arg1) {
        System.out.println("WARN : " + "[MESSAGE003] " + fBundle.getMessage003(arg0, arg1));
        Logger.getLogger("blanco.sample.logmessage").log(Level.WARNING, "[MESSAGE003] " + fBundle.getMessage003(arg0, arg1));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[WARN]、キー[MESSAGE003]の文字列をロギングします。
     *
     * No.3:
     * 文字列[メッセージ置換文字[{0}]に加え、もうひとつ[{1}]が置換されます。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param argThrown 例外。
     */
    public void logMessage003(final String arg0, final String arg1, final Throwable argThrown) {
        System.out.println("WARN : " + "[MESSAGE003] " + fBundle.getMessage003(arg0, arg1) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.WARNING, "[MESSAGE003] " + fBundle.getMessage003(arg0, arg1), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE004]の文字列をロギングします。
     *
     * No.4:
     * 文字列[連続したメッセージ置換文字{0}{1}の例です。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     */
    public void logMessage004(final String arg0, final String arg1) {
        System.out.println("INFO : " + "[MESSAGE004] " + fBundle.getMessage004(arg0, arg1));
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE004] " + fBundle.getMessage004(arg0, arg1));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE004]の文字列をロギングします。
     *
     * No.4:
     * 文字列[連続したメッセージ置換文字{0}{1}の例です。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param argThrown 例外。
     */
    public void logMessage004(final String arg0, final String arg1, final Throwable argThrown) {
        System.out.println("INFO : " + "[MESSAGE004] " + fBundle.getMessage004(arg0, arg1) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE004] " + fBundle.getMessage004(arg0, arg1), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[CONF]、キー[MESSAGE005]の文字列をロギングします。
     *
     * No.5:
     * 文字列[{0}先頭から置換文字列がある例。]
     *
     * @param arg0 置換文字列{0}の値。
     */
    public void logMessage005(final String arg0) {
        System.out.println("CONF : " + "[MESSAGE005] " + fBundle.getMessage005(arg0));
        Logger.getLogger("blanco.sample.logmessage").log(Level.CONFIG, "[MESSAGE005] " + fBundle.getMessage005(arg0));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[CONF]、キー[MESSAGE005]の文字列をロギングします。
     *
     * No.5:
     * 文字列[{0}先頭から置換文字列がある例。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param argThrown 例外。
     */
    public void logMessage005(final String arg0, final Throwable argThrown) {
        System.out.println("CONF : " + "[MESSAGE005] " + fBundle.getMessage005(arg0) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.CONFIG, "[MESSAGE005] " + fBundle.getMessage005(arg0), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[DEBUG]、キー[MESSAGE006]の文字列をロギングします。
     *
     * No.6:
     * 文字列[最後が置換文字列の例。{0}]
     *
     * @param arg0 置換文字列{0}の値。
     */
    public void logMessage006(final String arg0) {
        System.out.println("DEBUG: " + "[MESSAGE006] " + fBundle.getMessage006(arg0));
        Logger.getLogger("blanco.sample.logmessage").log(Level.FINE, "[MESSAGE006] " + fBundle.getMessage006(arg0));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[DEBUG]、キー[MESSAGE006]の文字列をロギングします。
     *
     * No.6:
     * 文字列[最後が置換文字列の例。{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param argThrown 例外。
     */
    public void logMessage006(final String arg0, final Throwable argThrown) {
        System.out.println("DEBUG: " + "[MESSAGE006] " + fBundle.getMessage006(arg0) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.FINE, "[MESSAGE006] " + fBundle.getMessage006(arg0), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[TRACE]、キー[MESSAGE007]の文字列をロギングします。
     *
     * No.7:
     * 文字列[何度も現れる置換文字{0}{1}{0}{1}{2}{1}{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     */
    public void logMessage007(final String arg0, final String arg1, final String arg2) {
        System.out.println("TRACE: " + "[MESSAGE007] " + fBundle.getMessage007(arg0, arg1, arg2));
        Logger.getLogger("blanco.sample.logmessage").log(Level.FINER, "[MESSAGE007] " + fBundle.getMessage007(arg0, arg1, arg2));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[TRACE]、キー[MESSAGE007]の文字列をロギングします。
     *
     * No.7:
     * 文字列[何度も現れる置換文字{0}{1}{0}{1}{2}{1}{0}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param argThrown 例外。
     */
    public void logMessage007(final String arg0, final String arg1, final String arg2, final Throwable argThrown) {
        System.out.println("TRACE: " + "[MESSAGE007] " + fBundle.getMessage007(arg0, arg1, arg2) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.FINER, "[MESSAGE007] " + fBundle.getMessage007(arg0, arg1, arg2), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE008]の文字列をロギングします。
     *
     * No.8:
     * 文字列[たくさんの置換文字。{11}{10}{9}{8}{7}{6}{5}{4}{3}{2}{1}{0}と12個。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @param arg4 置換文字列{4}の値。
     * @param arg5 置換文字列{5}の値。
     * @param arg6 置換文字列{6}の値。
     * @param arg7 置換文字列{7}の値。
     * @param arg8 置換文字列{8}の値。
     * @param arg9 置換文字列{9}の値。
     * @param arg10 置換文字列{10}の値。
     * @param arg11 置換文字列{11}の値。
     */
    public void logMessage008(final String arg0, final String arg1, final String arg2, final String arg3, final String arg4, final String arg5, final String arg6, final String arg7, final String arg8, final String arg9, final String arg10, final String arg11) {
        System.out.println("INFO : " + "[MESSAGE008] " + fBundle.getMessage008(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11));
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE008] " + fBundle.getMessage008(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE008]の文字列をロギングします。
     *
     * No.8:
     * 文字列[たくさんの置換文字。{11}{10}{9}{8}{7}{6}{5}{4}{3}{2}{1}{0}と12個。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param arg3 置換文字列{3}の値。
     * @param arg4 置換文字列{4}の値。
     * @param arg5 置換文字列{5}の値。
     * @param arg6 置換文字列{6}の値。
     * @param arg7 置換文字列{7}の値。
     * @param arg8 置換文字列{8}の値。
     * @param arg9 置換文字列{9}の値。
     * @param arg10 置換文字列{10}の値。
     * @param arg11 置換文字列{11}の値。
     * @param argThrown 例外。
     */
    public void logMessage008(final String arg0, final String arg1, final String arg2, final String arg3, final String arg4, final String arg5, final String arg6, final String arg7, final String arg8, final String arg9, final String arg10, final String arg11, final Throwable argThrown) {
        System.out.println("INFO : " + "[MESSAGE008] " + fBundle.getMessage008(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE008] " + fBundle.getMessage008(arg0, arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE009]の文字列をロギングします。
     *
     * No.9:
     * 文字列[{0}番号が飛ぶと置換文字列は不正として判断されます。{1}。この定義書は0オリジンです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     */
    public void logMessage009(final String arg0, final String arg1) {
        System.out.println("INFO : " + "[MESSAGE009] " + fBundle.getMessage009(arg0, arg1));
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE009] " + fBundle.getMessage009(arg0, arg1));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE009]の文字列をロギングします。
     *
     * No.9:
     * 文字列[{0}番号が飛ぶと置換文字列は不正として判断されます。{1}。この定義書は0オリジンです。]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param argThrown 例外。
     */
    public void logMessage009(final String arg0, final String arg1, final Throwable argThrown) {
        System.out.println("INFO : " + "[MESSAGE009] " + fBundle.getMessage009(arg0, arg1) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE009] " + fBundle.getMessage009(arg0, arg1), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE010]の文字列をロギングします。
     *
     * No.10:
     * 文字列[エスケープ処理の確認。ダブルクオーテーション&quot;、シングルクオーテーション'、エンマーク\。]
     */
    public void logMessage010() {
        System.out.println("INFO : " + "[MESSAGE010] " + fBundle.getMessage010());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE010] " + fBundle.getMessage010());
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE010]の文字列をロギングします。
     *
     * No.10:
     * 文字列[エスケープ処理の確認。ダブルクオーテーション&quot;、シングルクオーテーション'、エンマーク\。]
     *
     * @param argThrown 例外。
     */
    public void logMessage010(final Throwable argThrown) {
        System.out.println("INFO : " + "[MESSAGE010] " + fBundle.getMessage010() + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE010] " + fBundle.getMessage010(), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE011]の文字列をロギングします。
     *
     * No.11:
     * 文字列[×]
     */
    public void logMessage011() {
        System.out.println("INFO : " + "[MESSAGE011] " + fBundle.getMessage011());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE011] " + fBundle.getMessage011());
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE011]の文字列をロギングします。
     *
     * No.11:
     * 文字列[×]
     *
     * @param argThrown 例外。
     */
    public void logMessage011(final Throwable argThrown) {
        System.out.println("INFO : " + "[MESSAGE011] " + fBundle.getMessage011() + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE011] " + fBundle.getMessage011(), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE012]の文字列をロギングします。
     *
     * No.12:
     * 文字列[改行[\n]の試験。]
     */
    public void logMessage012() {
        System.out.println("INFO : " + "[MESSAGE012] " + fBundle.getMessage012());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE012] " + fBundle.getMessage012());
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE012]の文字列をロギングします。
     *
     * No.12:
     * 文字列[改行[\n]の試験。]
     *
     * @param argThrown 例外。
     */
    public void logMessage012(final Throwable argThrown) {
        System.out.println("INFO : " + "[MESSAGE012] " + fBundle.getMessage012() + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, "[MESSAGE012] " + fBundle.getMessage012(), argThrown);
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE013]の文字列をロギングします。
     *
     * No.13:
     * 文字列[{0}, {1}: 文字列の途中に[key]を埋め込む。{2}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     */
    public void logMessage013(final String arg0, final String arg1, final String arg2) {
        System.out.println("INFO : " + fBundle.getMessage013(arg0, arg1, arg2));
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage013(arg0, arg1, arg2));
    }

    /**
     * ログメッセージ定義ID[Sample2]、レベル[INFO]、キー[MESSAGE013]の文字列をロギングします。
     *
     * No.13:
     * 文字列[{0}, {1}: 文字列の途中に[key]を埋め込む。{2}]
     *
     * @param arg0 置換文字列{0}の値。
     * @param arg1 置換文字列{1}の値。
     * @param arg2 置換文字列{2}の値。
     * @param argThrown 例外。
     */
    public void logMessage013(final String arg0, final String arg1, final String arg2, final Throwable argThrown) {
        System.out.println("INFO : " + fBundle.getMessage013(arg0, arg1, arg2) + ": " + argThrown.toString());
        Logger.getLogger("blanco.sample.logmessage").log(Level.INFO, fBundle.getMessage013(arg0, arg1, arg2), argThrown);
    }
}
